]> git.pld-linux.org Git - packages/cyrus-imapd.git/blobdiff - cyrus-imapd-shared.patch
- 2.4.6, shared patch still brokes build...
[packages/cyrus-imapd.git] / cyrus-imapd-shared.patch
index 73ded080927157c2c2a41bdbbefa6b31621bb73b..d4a7143dc6e44736e8c0c795a9c84d9e32d6ea9b 100644 (file)
---- cyrus-imapd-2.3.8/ptclient/Makefile.in     2007-02-18 23:43:17.000000000 +0100
-+++ cyrus-imapd-2.3.12p2/ptclient/Makefile.in  2008-09-23 21:36:44.543737168 +0300
-@@ -51,6 +51,8 @@
+--- cyrus-imapd-2.4.4/com_err/et/Makefile.in   2010-11-30 07:53:22.181949458 +0200
++++ cyrus-imapd-2.4.4-shared-patch//com_err/et/Makefile.in     2010-11-29 09:02:12.537952808 +0200
+@@ -44,11 +44,12 @@
+ # $Id$
+ srcdir = @srcdir@
++top_builddir = @top_builddir@
+ VPATH = @srcdir@
  CC = @CC@
  INSTALL = @INSTALL@
- RANLIB = @RANLIB@
+-RANLIB = @RANLIB@
 +LIBTOOL = @LIBTOOL@
-+top_builddir = @top_builddir@
+ ARCHIVE = ar cr
  
- DEFS = @DEFS@
- CPPFLAGS = -I.. -I$(srcdir)/../imap -I$(srcdir)/../lib @COM_ERR_CPPFLAGS@ @CPPFLAGS@ @SASLFLAGS@
-@@ -60,8 +62,8 @@
- LIBS = $(IMAP_LIBS) @COM_ERR_LIBS@
- LIB_SASL = @LIB_SASL@
- LIB_WRAP = @LIB_WRAP@
--DEPLIBS = ../imap/libimap.a ../lib/libcyrus.a ../lib/libcyrus_min.a @DEPLIBS@
--UTIL_LIBS = ../imap/mutex_fake.o ../imap/cli_fatal.o
-+DEPLIBS = ../imap/libimap.la ../lib/libcyrus.la ../lib/libcyrus_min.la @DEPLIBS@
-+UTIL_LIBS = ../imap/mutex_fake.lo ../imap/cli_fatal.lo
- LDAP_LIBS=@LDAP_LIBS@
- LDAP_CPPFLAGS=@LDAP_CPPFLAGS@
-@@ -83,42 +85,42 @@
- LIB_RT = @LIB_RT@
--SERVICE=../master/service.o
--SERVICETHREAD=../master/service-thread.o
-+SERVICE=../master/service.lo
-+SERVICETHREAD=../master/service-thread.lo
- all: $(PROGS)
+ AWK = @AWK@
+@@ -71,8 +72,8 @@
  
  install:
--      $(INSTALL) -m 755 ptloader $(DESTDIR)$(service_path)
--      $(INSTALL) -m 755 ptexpire $(DESTDIR)$(service_path)
--      $(INSTALL) -m 755 ptdump $(DESTDIR)$(service_path)
-+      $(LIBTOOL) --mode=install $(INSTALL) ptloader $(DESTDIR)$(service_path)
-+      $(LIBTOOL) --mode=install $(INSTALL) ptexpire $(DESTDIR)$(service_path)
-+      $(LIBTOOL) --mode=install $(INSTALL) ptdump $(DESTDIR)$(service_path)
  
--.c.o:
--      $(CC) -c $(CPPFLAGS) $(LDAP_CPPFLAGS) $(DEFS) $(CFLAGS) $<
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) -I$(srcdir)/../../lib -I. -I../.. $(CFLAGS) $<
 +%.lo: %.c
-+      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(LDAP_CPPFLAGS) $(DEFS) $(CFLAGS) $<
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) -I$(srcdir)/../../lib -I. -I../.. $(CFLAGS) $<
  
--ptloader: ptloader.o afskrb.o ldap.o ../imap/mutex_fake.o $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o $@ ptloader.o afskrb.o ldap.o ../imap/mutex_fake.o $(SERVICETHREAD) ${AFS_LDFLAGS} ${LDAP_LDFLAGS} $(AFS_LIBS) ${LDAP_LIBS} $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
-+ptloader: ptloader.lo afskrb.lo ldap.lo ../imap/mutex_fake.lo $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ ptloader.lo afskrb.lo ldap.lo ../imap/mutex_fake.lo $(SERVICETHREAD) ${AFS_LDFLAGS} ${LDAP_LDFLAGS} $(AFS_LIBS) ${LDAP_LIBS} $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
--ptloader.pure: ptloader.o afskrb.o ldap.o ../imap/mutex_fake.o $(DEPLIBS)
--      $(PURIFY) $(PUREARGS) $(CC) $(LDFLAGS) -o $@ ptloader.o afskrb.o ldap.o ../imap/mutex_fake.o $(SERVICETHREAD) ${AFS_LDFLAGS} ${LDAP_LDFLAGS} $(AFS_LIBS) ${LDAP_LIBS} $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
-+ptloader.pure: ptloader.lo afskrb.lo ldap.lo ../imap/mutex_fake.lo $(DEPLIBS)
-+      $(PURIFY) $(PUREARGS) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ ptloader.lo afskrb.lo ldap.lo ../imap/mutex_fake.lo $(SERVICETHREAD) ${AFS_LDFLAGS} ${LDAP_LDFLAGS} $(AFS_LIBS) ${LDAP_LIBS} $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
--ptexpire: ptexpire.o $(DEPLIBS) $(UTIL_LIBS)
--      $(CC) $(LDFLAGS) -o $@ ptexpire.o $(UTIL_LIBS) $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_RT)
-+ptexpire: ptexpire.lo $(DEPLIBS) $(UTIL_LIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ ptexpire.lo $(UTIL_LIBS) $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_RT)
--ptexpire.pure: ptexpire.o $(DEPLIBS) $(UTIL_LIBS)
--      $(PURIFY) $(PUREARGS) $(CC) $(LDFLAGS) -o $@ ptexpire.o $(UTIL_LIBS) $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
-+ptexpire.pure: ptexpire.lo $(DEPLIBS) $(UTIL_LIBS)
-+      $(PURIFY) $(PUREARGS) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ ptexpire.lo $(UTIL_LIBS) $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
--ptdump: ptdump.o $(DEPLIBS) $(UTIL_LIBS)
--      $(CC) $(LDFLAGS) -o $@ ptdump.o $(UTIL_LIBS) $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_RT)
-+ptdump: ptdump.lo $(DEPLIBS) $(UTIL_LIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ ptdump.lo $(UTIL_LIBS) $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_RT)
--ptdump.pure: ptexpire.o $(DEPLIBS) $(UTIL_LIBS)
--      $(PURIFY) $(PUREARGS) $(CC) $(LDFLAGS) -o $@ ptdump.o $(UTIL_LIBS) $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
-+ptdump.pure: ptexpire.lo $(DEPLIBS) $(UTIL_LIBS)
-+      $(PURIFY) $(PUREARGS) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ ptdump.lo $(UTIL_LIBS) $(DEPLIBS) $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
--ptextract: ptextract.o $(DEPLIBS) $(UTIL_LIBS)
--      $(CC) $(LDFLAGS) -o $@ ptextract.o $(UTIL_LIBS) $(DEPLIBS) $(LIBS)
-+ptextract: ptextract.lo $(DEPLIBS) $(UTIL_LIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ ptextract.lo $(UTIL_LIBS) $(DEPLIBS) $(LIBS)
+ # solaris make loses on com_err.c but not on init_et.c, but this helps
+ com_err.lo: com_err.c
+@@ -92,14 +93,9 @@
+       $(CP) $(srcdir)/et_h.lawk et_h.lawk
  
  clean:
--      rm -f *.o Makefile.bak $(PROGS) makedepend.log
-+      rm -f *.lo Makefile.bak $(PROGS) makedepend.log
+-      rm -f compile_et compile_et.lo error_table.lo 
+-      rm -f libcom_err.la
+-      rm -f $(LIBOBJS)
++      rm -rf .libs *.la *.lo *.o compile_et $(LIBOBJS)
  
  distclean: clean
-       rm -f Makefile
---- cyrus-imapd-2.3.8/sieve/Makefile.in.wiget  2006-11-30 18:11:24.000000000 +0100
-+++ cyrus-imapd-2.3.8/sieve/Makefile.in        2007-02-18 23:43:17.000000000 +0100
-@@ -35,6 +35,8 @@
- YFLAGS = -d
- LEX = @LEX@
- RANLIB = @RANLIB@
-+LIBTOOL = @LIBTOOL@
+-      rm -f compile_et compile_et.lo error_table.lo 
+-      rm -f libcom_err.la
+-      rm -f $(LIBOBJS)
+       rm Makefile
+ depend: compile_et 
+@@ -120,20 +116,14 @@
+ ## install_library_target(com_err,$(LIBOBJS),$(LINTFILES),)
+ libcom_err.la: $(LIBOBJS)
+-      rm -f libcom_err.la
+-      $(ARCHIVE) $@ $(LIBOBJS)
+-      $(RANLIB) $@
++      $(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $(LIBOBJS)
+ #install::
+-#     $(INSTALLLIB) libcom_err.la $(DESTDIR)$(LIBDIR)/libcom_err.la
+-#     $(CHMOD) 644 $(DESTDIR)$(LIBDIR)/libcom_err.la
+-#     $(RANLIB)    $(DESTDIR)$(LIBDIR)/libcom_err.la
+-#     $(CHMOD) 444 $(DESTDIR)$(LIBDIR)/libcom_err.la
++#     $(LIBTOOL) --mode=install $(INSTALL) -m 644 libcom_err.la $(DESTDIR)$(LIBDIR)
+ ## 
+ libcom_err.lo:        $(LIBOBJS)
+-      ld -r -s -o $@ $? \
+-      chmod -x libcom_err.lo
++      $(LIBTOOL) --mode=link --tag=CC ld -r -s -o $@ $?
+ TAGS: et_name.c error_message.c compile_et.c error_table.c \
+               lex.yy.c init_et.c
+--- cyrus-imapd-2.4.4/configure.in     2010-11-30 07:53:22.188617226 +0200
++++ cyrus-imapd-2.4.4-shared-patch//configure.in       2010-11-30 07:56:42.315002988 +0200
+@@ -87,7 +87,7 @@
+ AC_DEFINE_UNQUOTED(SYSCONFDIR,"$sysconfdir",[Config File Location])
+ AC_PROG_CC
+-AC_PROG_RANLIB
++AC_PROG_LIBTOOL
+ AC_PROG_MAKE_SET
+ AC_PROG_INSTALL
+ AC_AIX
+--- cyrus-imapd-2.4.4/depot/Makefile.in        2010-11-30 07:53:22.195284994 +0200
++++ cyrus-imapd-2.4.4-shared-patch//depot/Makefile.in  2010-11-29 09:03:17.505292828 +0200
+@@ -44,11 +44,12 @@
+ # $Id$
+ srcdir = @srcdir@
 +top_builddir = @top_builddir@
COMPILE_ET = @COMPILE_ET@
VPATH = @srcdir@
  
- DEFS = @DEFS@ @LOCALDEFS@
-@@ -49,7 +51,7 @@
- IMAP_COM_ERR_LIBS = @IMAP_COM_ERR_LIBS@
- IMAP_LIBS = @IMAP_LIBS@ @LIB_RT@
- LIBS = libsieve.a $(IMAP_LIBS) $(IMAP_COM_ERR_LIBS)
--DEPLIBS=../lib/libcyrus.a ../lib/libcyrus_min.a @DEPLIBS@
-+DEPLIBS=../lib/libcyrus.la ../lib/libcyrus_min.la @DEPLIBS@
- BUILT_SOURCES = addr.c addr.h addr-lex.c \
-       sieve.c sieve.h sieve-lex.c \
-@@ -61,10 +63,10 @@
- install: sievec
-       $(srcdir)/../install-sh -d ${DESTDIR}$(service_path)
--      $(srcdir)/../install-sh -c -m 755 sievec $(DESTDIR)$(service_path) || exit
-+      $(LIBTOOL) --mode=install $(srcdir)/../install-sh -c -m 755 sievec $(DESTDIR)$(service_path) || exit
+ CC = @CC@
+ INSTALL = @INSTALL@
+-RANLIB = @RANLIB@
++LIBTOOL = @LIBTOOL@
  
- test: $(DEPLIBS) libsieve.a test.o ../imap/message.o
--      $(CC) $(LDFLAGS) -o test test.o ../imap/message.o \
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o test test.o ../imap/message.o \
-       libsieve.a $(DEPLIBS) $(LIBS)
+ DEFS = @DEFS@
+ CPPFLAGS = -I. -I$(srcdir) -I$(srcdir)/../lib -I$(srcdir)/../et @CPPFLAGS@ 
+@@ -73,11 +74,11 @@
+       $(INSTALL) -m 644 $(srcdir)/rc.local.imap $(DESTDIR)etc
+       $(INSTALL) -m 644 $(srcdir)/rc.local.ptclient $(DESTDIR)etc
  
- OBJS = sieve_err.o \
-@@ -103,10 +105,10 @@
-       $(RANLIB) libsieve.a
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
++%.lo: %.c
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
  
- sievec: sievec.o libsieve.a
--      $(CC) $(LDFLAGS) -o sievec sievec.o libsieve.a $(DEPLIBS) $(LIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o sievec sievec.o libsieve.a $(DEPLIBS) $(LIBS)
+ clean:
+-      rm -f *.lo Makefile.bak makedepend.log
++      rm -rf .libs *.lo *.o Makefile.bak makedepend.log
  
- sieved: sieved.o libsieve.a
--      $(CC) $(LDFLAGS) -o sieved sieved.o libsieve.a $(DEPLIBS) $(LIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o sieved sieved.o libsieve.a $(DEPLIBS) $(LIBS)
+ distclean: clean
+       rm -f Makefile
+--- cyrus-imapd-2.4.4/imap/Makefile.in 2010-11-30 07:53:22.195284994 +0200
++++ cyrus-imapd-2.4.4-shared-patch//imap/Makefile.in   2010-11-29 08:33:40.489840319 +0200
+@@ -48,12 +48,14 @@
  
+ srcdir = @srcdir@
+ top_srcdir = @top_srcdir@
++top_builddir = @top_builddir@
+ VPATH = @srcdir@
  
- sieve_interface.h: sieve_err.h
---- cyrus-imapd-2.3.12p2/netnews/Makefile.in~  2008-09-23 18:00:16.000000000 +0300
-+++ cyrus-imapd-2.3.12p2/netnews/Makefile.in   2008-09-23 18:01:26.824280572 +0300
-@@ -49,11 +49,13 @@
  CC = @CC@
  INSTALL = @INSTALL@
  RANLIB = @RANLIB@
+ AWK = @AWK@
 +LIBTOOL = @LIBTOOL@
+ CYRUS_USER=@cyrus_user@
+ CYRUS_GROUP=@cyrus_group@
+@@ -133,22 +135,20 @@
+       $(srcdir)/../install-sh -d ${DESTDIR}$(service_path)
+       for file in $(PROGS); \
+       do \
+-              $(INSTALL) -m 755 $$file $(DESTDIR)$(service_path) || exit 1; \
++              $(LIBTOOL) --mode=install $(INSTALL) -m 755 $$file $(DESTDIR)$(service_path) || exit 1; \
+       done
+       ln -f $(DESTDIR)$(service_path)/pop3d $(DESTDIR)$(service_path)/pop3proxyd
+       ln -f $(DESTDIR)$(service_path)/imapd $(DESTDIR)$(service_path)/proxyd
+       ln -f $(DESTDIR)$(service_path)/lmtpd $(DESTDIR)$(service_path)/lmtpproxyd
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
++%.lo: %.c
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
+       $<
+ ### libimap
+ libimap.la: $(LOBJS)
+-      rm -f libimap.la
+-      ar cr libimap.la $(LOBJS)
+-      $(RANLIB) libimap.la
++      $(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $(LOBJS)
+ ### Built Source Files
+@@ -181,185 +181,185 @@
+ ### Services
+ idled: idled.lo mutex_fake.lo libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ lmtpd: lmtpd.lo proxy.lo $(LMTPOBJS) $(SIEVE_OBJS) mutex_fake.lo \
+        libimap.la $(SIEVE_LIBS) $(DEPLIBS) $(SERVICE)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ lmtpd.pure: lmtpd.lo proxy.lo $(LMTPOBJS) $(SIEVE_OBJS) \
+        mutex_fake.lo libimap.la $(SIEVE_LIBS) $(DEPLIBS) $(SERVICE)
+-      $(PURIFY) $(PUREOPT) $(CC) $(LDFLAGS) -o $@ $? \
++      $(PURIFY) $(PUREOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ imapd: $(IMAPDOBJS) mutex_fake.lo libimap.la $(DEPLIBS) $(SERVICE)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ imapd.pure: $(IMAPDOBJS) mutex_fake.lo libimap.la $(DEPLIBS) $(SERVICE)
+-      $(PURIFY) $(PUREOPT) $(CC) $(LDFLAGS) -o $@ $? \
++      $(PURIFY) $(PUREOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ imapd.quant: $(IMAPDOBJS) mutex_fake.lo libimap.la $(DEPLIBS) $(SERVICE)
+-      $(QUANTIFY) $(QUANTOPT) $(CC) $(LDFLAGS) -o $@ $? \
++      $(QUANTIFY) $(QUANTOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ mupdate: mupdate.lo mupdate-slave.lo mupdate-client.lo mutex_pthread.lo tls.lo \
+       libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(SERVICETHREAD) \
+       $(LIBS) $(LIB_WRAP) -lpthread
+ mupdate.pure: mupdate.lo mupdate-slave.lo mupdate-client.lo mutex_pthread.lo \
+       libimap.la $(DEPLIBS)
+-      $(PURIFY) $(PUREOPT) $(CC) $(LDFLAGS) -o $@ $? \
++      $(PURIFY) $(PUREOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(SERVICETHREAD) \
+       $(LIBS) $(LIB_WRAP) -lpthread
+ pop3d: pop3d.lo proxy.lo backend.lo tls.lo mutex_fake.lo libimap.la \
+       $(DEPLIBS) $(SERVICE)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ nntpd: nntpd.lo proxy.lo backend.lo index.lo smtpclient.lo spool.lo tls.lo \
+        mutex_fake.lo nntp_err.lo libimap.la $(DEPLIBS) $(SERVICE)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ fud: fud.lo libimap.la mutex_fake.lo $(DEPLIBS) $(SERVICE)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ smmapd: smmapd.lo libimap.la mutex_fake.lo $(DEPLIBS) $(SERVICE)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ sync_server: sync_server.lo sync_support.lo \
+       imapparse.lo tls.lo libimap.la mutex_fake.lo $(DEPLIBS) $(SERVICE)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(LIB_WRAP)
+ ### Command Line Utilities
+ arbitron: arbitron.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ cyr_userseen: cyr_userseen.lo mutex_fake.lo libimap.la $(CLIOBJS) $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ cyr_sequence: cyr_sequence.lo mutex_fake.lo libimap.la $(CLIOBJS) $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ cyr_dbtool: cyr_dbtool.lo mutex_fake.lo libimap.la $(CLIOBJS) $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ cyr_synclog: cyr_synclog.lo mutex_fake.lo libimap.la $(CLIOBJS) $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ cvt_cyrusdb: cvt_cyrusdb.lo mutex_fake.lo libimap.la $(CLIOBJS) $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ chk_cyrus: chk_cyrus.lo mutex_fake.lo libimap.la $(CLIOBJS) $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ deliver: deliver.lo $(LMTPOBJS) proxy.lo mutex_fake.lo libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ ctl_deliver: ctl_deliver.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ ctl_mboxlist: ctl_mboxlist.lo mupdate-client.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ ctl_cyrusdb: ctl_cyrusdb.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ cyr_expire: cyr_expire.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ fetchnews: fetchnews.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ squatter: squatter.lo index.lo squat_build.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ mbpath: mbpath.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ ipurge: ipurge.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ cyr_virusscan: cyr_virusscan.lo index.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) -lclamav
+ cyrdump: cyrdump.lo index.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ cyr_df: cyr_df.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ mbexamine: mbexamine.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ reconstruct: reconstruct.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ quota: quota.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ tls_prune: tls_prune.lo tls.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ unexpunge: unexpunge.lo $(CLIOBJS) libimap.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ make_md5: make_md5.lo libimap.la mutex_fake.lo $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ make_sha1: make_sha1.lo libimap.la mutex_fake.lo $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ sync_client: sync_client.lo sync_support.lo \
+       backend.lo tls.lo imapparse.lo libimap.la mutex_fake.lo $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ sync_reset: sync_reset.lo sync_support.lo \
+       libimap.la mutex_fake.lo $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ ### Other Misc Targets
+ clean:
+-      rm -f *.lo *.la Makefile.bak makedepend.log \
++      rm -rf .libs *.lo *.o *.la *.a Makefile.bak makedepend.log \
+       $(BUILTSOURCES) $(PROGS) $(SUIDPROGS) cyr_virusscan
+ distclean: clean
+--- cyrus-imapd-2.4.4/imtest/imtest.c  2010-11-30 07:53:22.205286646 +0200
++++ cyrus-imapd-2.4.4-shared-patch//imtest/imtest.c    2010-11-29 08:14:14.318040263 +0200
+@@ -283,6 +283,9 @@
+     imtest_fatal(msg);
+ }
++/* config.c stuff */
++const int config_need_data = 0;
++
+ int mysasl_config(void *context __attribute__((unused)), 
+                 const char *plugin_name,
+                 const char *option,
+--- cyrus-imapd-2.4.4/imtest/Makefile.in       2010-11-30 07:53:22.205286646 +0200
++++ cyrus-imapd-2.4.4-shared-patch//imtest/Makefile.in 2010-11-29 08:56:17.502937602 +0200
+@@ -45,11 +45,12 @@
+ srcdir = @srcdir@
+ top_srcdir = @top_srcdir@
 +top_builddir = @top_builddir@
+ VPATH = @srcdir@
  
- DEFS = @DEFS@
- CPPFLAGS = -I.. -I$(srcdir) -I$(srcdir)/../lib -I$(srcdir)/../com_err/et @CPPFLAGS@
- LIBS =  @IMAP_LIBS@ @LIB_RT@
--DEPLIBS = ../lib/libcyrus.a ../lib/libcyrus_min.a @DEPLIBS@ 
-+DEPLIBS = ../lib/libcyrus.la ../lib/libcyrus_min.la @DEPLIBS@ 
+ CC = @CC@
+ INSTALL = @INSTALL@
+-RANLIB = @RANLIB@
++LIBTOOL = @LIBTOOL@
  
CFLAGS = @CFLAGS@
LDFLAGS = @LDFLAGS@
-@@ -69,13 +71,13 @@
- all: remotepurge
DEFS = @DEFS@ @LOCALDEFS@
CPPFLAGS = -I.. -I$(srcdir)/../lib @COM_ERR_CPPFLAGS@ @CPPFLAGS@  @SASLFLAGS@
+@@ -73,7 +74,7 @@
+ all: imtest
  
  install:
--      $(INSTALL) -s -m 755 remotepurge $(DESTDIR)$(service_path)
-+      $(LIBTOOL) --mode=install $(INSTALL) remotepurge $(DESTDIR)$(service_path)
+-      $(INSTALL) -s -m 755 imtest $(DESTDIR)$(exec_prefix)/bin
++      $(LIBTOOL) --mode=install $(INSTALL) imtest $(DESTDIR)$(exec_prefix)/bin
+       ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/pop3test
+       ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/nntptest
+       ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/lmtptest
+@@ -82,19 +83,19 @@
+       ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/sivtest
+       ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/synctest
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
++%.lo: %.c
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
  
- .c.o:
-       $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
+ imtest: imtest.lo $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(IMAP_LIBS)
  
remotepurge: $(OBJS) $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o remotepurge $(OBJS) \
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o remotepurge $(OBJS) \
-               $(DEPLIBS) $(LIBS)
imtest.pure: imtest.lo $(OBJS) $(DEPLIBS)
+-      $(PURIFY) $(PUREOPT) $(CC) $(LDFLAGS) -o $@ $? \
++      $(PURIFY) $(PUREOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS) $(IMAP_LIBS)
  
+ clean:
+-      rm -f *.lo Makefile.bak makedepend.log imtest
++      rm -rf .libs *.lo *.o Makefile.bak makedepend.log imtest
  
---- cyrus-imapd-2.3.8/timsieved/Makefile.in    2007-02-18 23:43:17.000000000 +0100
-+++ cyrus-imapd-2.3.12p2/timsieved/Makefile.in 2008-09-23 21:34:25.039668022 +0300
+ distclean: clean
+       rm -f Makefile
+--- cyrus-imapd-2.4.4/installsieve/Makefile.in 2010-11-30 07:53:22.205286646 +0200
++++ cyrus-imapd-2.4.4-shared-patch//installsieve/Makefile.in   2010-11-29 08:23:07.319044464 +0200
 @@ -47,6 +47,8 @@
  
  CC = @CC@
 +LIBTOOL = @LIBTOOL@
 +top_builddir = @top_builddir@
  
- INSTALL = @INSTALL@
- CYRUS_USER=@cyrus_user@
-@@ -105,8 +107,8 @@
+ DEFS = @DEFS@
+ CPPFLAGS = -I. -I$(srcdir) -I$(srcdir)/../lib @CPPFLAGS@ @SASLFLAGS@
+@@ -68,21 +70,19 @@
+ all: installsieve
+ install:
+-      $(INSTALL) -s -m 755 installsieve $(DESTDIR)$(exec_prefix)/bin
++      $(LIBTOOL) --mode=install $(INSTALL) installsieve $(DESTDIR)$(exec_prefix)/bin
+ OBJS=lex.lo mystring.lo request.lo isieve.lo
+ libinstallsieve.la: $(OBJS)
+-      rm -f libinstallsieve.la
+-      ar cr libinstallsieve.la $(OBJS)
+-      $(RANLIB) libinstallsieve.la
++      $(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $(OBJS)
+ installsieve: libinstallsieve.la installscript.lo $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(IMAP_LIBS)
+ clean:
+-      rm -f *.lo *.la Makefile.bak makedepend.log
++      rm -rf .libs *.lo *.o *.la *.a Makefile.bak makedepend.log
+ distclean: clean
+       rm -f Makefile installsieve
+@@ -90,8 +90,8 @@
  depend:
        ${MAKEDEPEND} $(CPPFLAGS) $(DEFS) -I$(srcdir) $(CFLAGS) *.c $(srcdir)/*.c 1>makedepend.log 2>&1
  
--.c.o:
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) -I. $(CFLAGS) \
++%.lo: %.c
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) -I. $(CFLAGS) \
+       $<
+--- cyrus-imapd-2.4.4/lib/Makefile.in  2010-11-30 07:53:22.205286646 +0200
++++ cyrus-imapd-2.4.4-shared-patch//lib/Makefile.in    2010-11-29 08:53:13.346000595 +0200
+@@ -56,7 +56,8 @@
+ CC = @CC@
+ INSTALL = @INSTALL@
+-RANLIB = @RANLIB@
++LIBTOOL = @LIBTOOL@
++top_builddir = @top_builddir@
+ DEFS = @DEFS@ @LOCALDEFS@
+ CPPFLAGS = -I.. @CPPFLAGS@ @COM_ERR_CPPFLAGS@ @SASLFLAGS@
+@@ -110,9 +111,8 @@
+ install:
+       $(srcdir)/../install-sh -d $(DESTDIR)$(libdir)
+-      $(INSTALL) -m 644 libcyrus.la $(DESTDIR)$(libdir)
+-      $(INSTALL) -m 644 libcyrus_min.la $(DESTDIR)$(libdir)
+-       $(RANLIB) $(DESTDIR)$(libdir)/libcyrus.la
++      $(LIBTOOL) --mode=install $(INSTALL) -m 644 libcyrus_min.la $(DESTDIR)$(libdir)
++      $(LIBTOOL) --mode=install $(INSTALL) -m 644 libcyrus.la $(DESTDIR)$(libdir)
+       for file in $(LIBCYR_HDRS); \
+       do \
+               $(INSTALL) -m 644 $$file $(DESTDIR)$(prefix)/include/cyrus || exit 1; \
+@@ -122,19 +122,15 @@
+               $(INSTALL) -m 644 $$file $(DESTDIR)$(prefix)/include/cyrus || exit 1; \
+       done
+-.c.lo:
 -      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
 +%.lo: %.c
 +      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
        $<
  
- # DO NOT DELETE THIS LINE -- make depend depends on it.
---- cyrus-imapd-2.3.8/configure.in.wiget       2007-02-18 23:43:17.000000000 +0100
-+++ cyrus-imapd-2.3.8/configure.in     2007-02-18 23:43:17.000000000 +0100
-@@ -87,7 +87,7 @@
- AC_DEFINE_UNQUOTED(SYSCONFDIR,"$sysconfdir",[Config File Location])
+-libcyrus.la: $(LIBCYR_OBJS)
+-      rm -f libcyrus.la
+-      ar cr libcyrus.la $(LIBCYR_OBJS)
+-      $(RANLIB) libcyrus.la
++libcyrus.la: $(LIBCYR_OBJS) libcyrus_min.la
++      $(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $? @LIBS@ @LIB_SASL@ -rpath $(libdir) -release $(VERSION)
+ libcyrus_min.la: $(LIBCYRM_OBJS)
+-      rm -f libcyrus_min.la
+-      ar cr libcyrus_min.la $(LIBCYRM_OBJS)
+-      $(RANLIB) libcyrus_min.la
++      $(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $? @IMAP_COM_ERR_LIBS@ -rpath $(libdir) -release $(VERSION)
+ imapopts.c: imapoptions $(srcdir)/../tools/config2header
+       $(srcdir)/../tools/config2header CC="$(CC)" $(srcdir)/imapopts.c $(srcdir)/imapopts.h < $(srcdir)/imapoptions
+@@ -153,7 +149,7 @@
+       @echo "### Done building chartables."
  
+ clean:
+-      rm -f *.lo *.la chartable.c Makefile.bak makedepend.log \
++      rm -rf .libs *.lo *.o *.la *.a chartable.c Makefile.bak makedepend.log \
+       $(BUILTSOURCES)
+ distclean: clean
+--- cyrus-imapd-2.4.4/makedepend/configure.in  2010-11-30 07:53:22.205286646 +0200
++++ cyrus-imapd-2.4.4-shared-patch//makedepend/configure.in    2010-11-29 08:14:14.308038617 +0200
+@@ -2,7 +2,7 @@
+ AC_INIT(cppsetup.c)
  AC_PROG_CC
+ AC_PROG_INSTALL
 -AC_PROG_RANLIB
 +AC_PROG_LIBTOOL
  AC_PROG_MAKE_SET
- AC_PROG_INSTALL
- AC_AIX
-@@ -133,7 +133,7 @@
-       cyrus_cv_getaddrinfo=no)], cyrus_cv_getaddrinfo=no)
- if test $cyrus_cv_getaddrinfo = no; then
--      IPV6_OBJS="getaddrinfo.o"
-+      IPV6_OBJS="getaddrinfo.lo"
- fi
- cyrus_cv_getnameinfo=yes
-@@ -142,7 +142,7 @@
-       cyrus_cv_getnameinfo=no)
- if test $cyrus_cv_getnameinfo = no; then
--      IPV6_OBJS="$IPV6_OBJS getnameinfo.o"
-+      IPV6_OBJS="$IPV6_OBJS getnameinfo.lo"
- fi
- IPv6_CHECK_SS_FAMILY()
-@@ -166,7 +166,7 @@
- dnl function for doing each of the database backends
- dnl parameters: backend name, variable to set, withval
--CYRUSDB_OBJS="cyrusdb_flat.o cyrusdb_skiplist.o cyrusdb_quotalegacy.o"
-+CYRUSDB_OBJS="cyrusdb_flat.lo cyrusdb_skiplist.lo cyrusdb_quotalegacy.lo"
- dnl Berkeley DB Detection
-@@ -213,7 +213,7 @@
-   LIBS="${LIBS} ${BDB_LIBADD}"
-   CPPFLAGS="${BDB_INCADD} ${CPPFLAGS}"
--  CYRUSDB_OBJS="$CYRUSDB_OBJS cyrusdb_berkeley.o"
-+  CYRUSDB_OBJS="$CYRUSDB_OBJS cyrusdb_berkeley.lo"
-   AC_DEFINE(HAVE_BDB,[],[Build in Berkeley DB support?])
- fi
-@@ -996,7 +996,7 @@
- dnl Check for MD5 functions
- AC_FUNC_CHECK(MD5Init,,
-        AC_CHECK_LIB(md, MD5Init, LIBS="${LIBS} -lmd",
--                    MD5OBJ="md5.o"))
-+                    MD5OBJ="md5.lo"))
- AC_SUBST(MD5OBJ)
- dnl snmp
---- cyrus-imapd-2.3.12p2/imap/Makefile.in      2008-09-23 21:18:02.070806071 +0300
-+++ cyrus-imapd-2.3.12p2/imap/Makefile.in      2008-09-23 21:20:01.537715249 +0300
-@@ -45,16 +45,18 @@
- # \Seen state database.  Either 'db' (berkeley db) or 
- # 'local' (legacy flat file).
--SEEN=seen_db.o
-+SEEN=seen_db.lo
+ AC_CHECK_HEADERS(stdarg.h)
+ AC_SUBST(CPPFLAGS)
+--- cyrus-imapd-2.4.4/makedepend/Makefile.in   2010-11-30 07:53:22.205286646 +0200
++++ cyrus-imapd-2.4.4-shared-patch//makedepend/Makefile.in     2010-11-29 08:54:31.942253188 +0200
+@@ -44,11 +44,13 @@
+ # $Id$
+ # 
  srcdir = @srcdir@
- top_srcdir = @top_srcdir@
 +top_builddir = @top_builddir@
  VPATH = @srcdir@
  
  CC = @CC@
  INSTALL = @INSTALL@
  RANLIB = @RANLIB@
- AWK = @AWK@
 +LIBTOOL = @LIBTOOL@
  
+ DEFS = @DEFS@
+ CPPFLAGS = -I. -I$(srcdir)  @CPPFLAGS@ 
+@@ -62,15 +64,15 @@
+ all: makedepend
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
++%.lo: %.c
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
+ makedepend: cppsetup.lo ifparser.lo include.lo main.lo parse.lo pr.lo $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ clean:
+-      rm -f *.lo Makefile.bak makedepend
++      rm -rf .libs *.lo *.o Makefile.bak makedepend
+ distclean: clean
+       rm -f Makefile
+--- cyrus-imapd-2.4.4/master/Makefile.in       2010-11-30 07:53:22.205286646 +0200
++++ cyrus-imapd-2.4.4-shared-patch//master/Makefile.in 2010-11-29 08:17:23.282457954 +0200
+@@ -48,6 +48,8 @@
+ CC = @CC@
+ INSTALL = @INSTALL@
+ RANLIB = @RANLIB@
++LIBTOOL = @LIBTOOL@
++top_builddir = @top_builddir@
  CYRUS_USER=@cyrus_user@
  CYRUS_GROUP=@cyrus_group@
-@@ -67,7 +69,7 @@
- IMAP_COM_ERR_LIBS = @IMAP_COM_ERR_LIBS@
- LIB_WRAP = @LIB_WRAP@
- LIBS = $(IMAP_LIBS) $(IMAP_COM_ERR_LIBS)
--DEPLIBS = ../lib/libcyrus.a ../lib/libcyrus_min.a @DEPLIBS@
-+DEPLIBS = ../lib/libcyrus.la ../lib/libcyrus_min.la @DEPLIBS@
- CFLAGS = @CFLAGS@
- LDFLAGS = @LDFLAGS@ @COM_ERR_LDFLAGS@ 
-@@ -96,23 +98,23 @@
- cyrus_prefix = @cyrus_prefix@
- service_path = @service_path@
--LOBJS= append.o mailbox.o mboxlist.o mupdate-client.o mboxname.o message.o \
--      global.o imap_err.o mupdate_err.o proc.o setproctitle.o \
--      convert_code.o duplicate.o saslclient.o saslserver.o signals.o \
--      annotate.o search_engines.o squat.o squat_internal.o mbdump.o \
--      imapparse.o telemetry.o user.o notify.o idle.o quota_db.o \
--      sync_log.o $(SEEN) mboxkey.o backend.o tls.o message_guid.o \
--      statuscache_db.o
-+LOBJS= append.lo mailbox.lo mboxlist.lo mupdate-client.lo mboxname.lo message.lo \
-+      global.lo imap_err.lo mupdate_err.lo proc.lo setproctitle.lo \
-+      convert_code.lo duplicate.lo saslclient.lo saslserver.lo signals.lo \
-+      annotate.lo search_engines.lo squat.lo squat_internal.lo mbdump.lo \
-+      imapparse.lo telemetry.lo user.lo notify.lo idle.lo quota_db.lo \
-+      sync_log.lo $(SEEN) mboxkey.lo backend.lo tls.lo message_guid.lo \
-+      statuscache_db.lo
--IMAPDOBJS=pushstats.o imapd.o proxy.o imap_proxy.o index.o version.o
-+IMAPDOBJS=pushstats.lo imapd.lo proxy.lo imap_proxy.lo index.lo version.lo
--LMTPOBJS=lmtpstats.o lmtpengine.o spool.o
-+LMTPOBJS=lmtpstats.lo lmtpengine.lo spool.lo
- # Your typical objects for the command line utilities
--CLIOBJS=cli_fatal.o mutex_fake.o
-+CLIOBJS=cli_fatal.lo mutex_fake.lo
--SERVICE=../master/service.o
--SERVICETHREAD=../master/service-thread.o
-+SERVICE=../master/service.lo
-+SERVICETHREAD=../master/service-thread.lo
- PROGS = imapd lmtpd pop3d \
-       fud smmapd reconstruct quota mbpath ipurge cyr_dbtool cyr_synclog \
-@@ -139,23 +141,21 @@
-       ln -f $(DESTDIR)$(service_path)/imapd $(DESTDIR)$(service_path)/proxyd
-       ln -f $(DESTDIR)$(service_path)/lmtpd $(DESTDIR)$(service_path)/lmtpproxyd
+@@ -78,19 +80,19 @@
+       $(srcdir)/../install-sh -d ${DESTDIR}$(service_path)
+       for file in $(PROGS); \
+       do \
+-              $(INSTALL) -m 755 $$file $(DESTDIR)$(service_path) || exit 1; \
++              $(LIBTOOL) --mode=install $(INSTALL) $$file $(DESTDIR)$(service_path) || exit 1; \
+       done
  
--.c.o:
+-.c.lo:
 -      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
 +%.lo: %.c
-+      $(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
        $<
  
- ### libimap
+ master: master.lo masterconf.lo cyrusMasterMIB.lo ../lib/lock_@WITH_LOCK@.lo
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o  $@ $? \
+       $(LIBS) $(DEPLIBS)
  
--libimap.a: $(LOBJS)
--      rm -f libimap.a
--      ar cr libimap.a $(LOBJS)
--      $(RANLIB) libimap.a
-+libimap.la: $(LOBJS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) -o libimap.la $(LOBJS)
+ clean:
+-      rm -f *.lo *.la Makefile.bak $(PROGS)
++      rm -f .libs *.a *.lo *.la Makefile.bak $(PROGS)
  
- ### Built Source Files
+ distclean: clean
+       rm -f Makefile
+--- cyrus-imapd-2.4.4/netnews/Makefile.in      2010-11-30 07:53:22.208620530 +0200
++++ cyrus-imapd-2.4.4-shared-patch//netnews/Makefile.in        2010-11-29 08:37:19.582533564 +0200
+@@ -48,7 +48,8 @@
  
- xversion xversion.h:
-       AWK=$(AWK) $(srcdir)/xversion.sh
+ CC = @CC@
+ INSTALL = @INSTALL@
+-RANLIB = @RANLIB@
++LIBTOOL = @LIBTOOL@
++top_builddir = @top_builddir@
  
--version.o: xversion.h
-+version.lo: xversion.h
+ DEFS = @DEFS@
+ CPPFLAGS = -I.. -I$(srcdir) -I$(srcdir)/../lib -I$(srcdir)/../com_err/et @CPPFLAGS@
+@@ -71,17 +72,17 @@
+ all: remotepurge
  
- pushstats.c: pushstats.snmp $(srcdir)/../snmp/snmpgen
-       $(srcdir)/../snmp/snmpgen $(srcdir)/pushstats.snmp
-@@ -183,179 +183,179 @@
- mupdate_err.h: mupdate_err.c
+ install:
+-      $(INSTALL) -s -m 755 remotepurge $(DESTDIR)$(service_path)
++      $(LIBTOOL) --mode=install $(INSTALL) remotepurge $(DESTDIR)$(service_path)
  
- ### Services
--idled: idled.o mutex_fake.o libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o idled \
--       idled.o mutex_fake.o libimap.a $(DEPLIBS) $(LIBS)
--
--lmtpd: lmtpd.o proxy.o $(LMTPOBJS) $(SIEVE_OBJS) mutex_fake.o \
--       libimap.a $(SIEVE_LIBS) $(DEPLIBS) $(SERVICE)
--      $(CC) $(LDFLAGS) -o lmtpd \
--       $(SERVICE) lmtpd.o proxy.o $(LMTPOBJS) $(SIEVE_OBJS) \
--       mutex_fake.o libimap.a $(SIEVE_LIBS) $(DEPLIBS) $(LIBS) $(LIB_WRAP)
--
--lmtpd.pure: lmtpd.o proxy.o $(LMTPOBJS) $(SIEVE_OBJS) \
--       mutex_fake.o libimap.a $(SIEVE_LIBS) $(DEPLIBS) $(SERVICE)
--      $(PURIFY) $(PUREOPT) $(CC) $(LDFLAGS) -o lmtpd.pure \
--       $(SERVICE) lmtpd.o proxy.o $(LMTPOBJS) $(SIEVE_OBJS) \
--       mutex_fake.o libimap.a $(SIEVE_LIBS) $(DEPLIBS) $(LIBS) $(LIB_WRAP)
--
--imapd: $(IMAPDOBJS) mutex_fake.o libimap.a $(DEPLIBS) $(SERVICE)
--      $(CC) $(LDFLAGS) -o imapd \
--       $(SERVICE) $(IMAPDOBJS) mutex_fake.o \
--      libimap.a $(DEPLIBS) $(LIBS) $(LIB_WRAP)
--
--imapd.pure: $(IMAPDOBJS) mutex_fake.o libimap.a $(DEPLIBS) $(SERVICE)
--      $(PURIFY) $(PUREOPT) $(CC) $(LDFLAGS) -o imapd.pure \
--       $(SERVICE) $(IMAPDOBJS) mutex_fake.o libimap.a \
-+idled: idled.lo mutex_fake.lo libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o idled \
-+       idled.lo mutex_fake.lo libimap.la $(DEPLIBS) $(LIBS)
-+
-+lmtpd: lmtpd.lo proxy.lo $(LMTPOBJS) $(SIEVE_OBJS) mutex_fake.lo \
-+       libimap.la $(SIEVE_LIBS) $(DEPLIBS) $(SERVICE)
-+       $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o lmtpd \
-+       $(SERVICE) lmtpd.lo proxy.lo $(LMTPOBJS) $(SIEVE_OBJS) \
-+       mutex_fake.lo libimap.la $(SIEVE_LIBS) $(DEPLIBS) $(LIBS) $(LIB_WRAP)
-+
-+lmtpd.pure: lmtpd.lo proxy.lo $(LMTPOBJS) $(SIEVE_OBJS) \
-+       mutex_fake.lo libimap.la $(SIEVE_LIBS) $(DEPLIBS) $(SERVICE)
-+      $(PURIFY) $(PUREOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o lmtpd.pure \
-+       $(SERVICE) lmtpd.lo proxy.lo $(LMTPOBJS) $(SIEVE_OBJS) \
-+       mutex_fake.lo libimap.la $(SIEVE_LIBS) $(DEPLIBS) $(LIBS) $(LIB_WRAP)
-+
-+imapd: $(IMAPDOBJS) mutex_fake.lo libimap.la $(DEPLIBS) $(SERVICE)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o imapd \
-+       $(SERVICE) $(IMAPDOBJS) mutex_fake.lo \
-+      libimap.la $(DEPLIBS) $(LIBS) $(LIB_WRAP)
-+
-+imapd.pure: $(IMAPDOBJS) mutex_fake.lo libimap.la $(DEPLIBS) $(SERVICE)
-+      $(PURIFY) $(PUREOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o imapd.pure \
-+       $(SERVICE) $(IMAPDOBJS) mutex_fake.lo libimap.la \
-       $(DEPLIBS) $(LIBS) $(LIB_WRAP)
--imapd.quant: $(IMAPDOBJS) mutex_fake.o libimap.a $(DEPLIBS) $(SERVICE)
--      $(QUANTIFY) $(QUANTOPT) $(CC) $(LDFLAGS) -o imapd.quant \
--       $(SERVICE) $(IMAPDOBJS) mutex_fake.o libimap.a \
-+imapd.quant: $(IMAPDOBJS) mutex_fake.lo libimap.la $(DEPLIBS) $(SERVICE)
-+      $(QUANTIFY) $(QUANTOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o imapd.quant \
-+       $(SERVICE) $(IMAPDOBJS) mutex_fake.lo libimap.la \
-       $(DEPLIBS) $(LIBS) $(LIB_WRAP)
--mupdate: mupdate.o mupdate-slave.o mupdate-client.o mutex_pthread.o tls.o \
--      libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o mupdate \
--       $(SERVICETHREAD) mupdate.o mupdate-slave.o mupdate-client.o \
--       mutex_pthread.o tls.o libimap.a \
-+mupdate: mupdate.lo mupdate-slave.lo mupdate-client.lo mutex_pthread.lo tls.lo \
-+      libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o mupdate \
-+       $(SERVICETHREAD) mupdate.lo mupdate-slave.lo mupdate-client.lo \
-+       mutex_pthread.lo tls.lo libimap.la \
-        $(DEPLIBS) $(LIBS) $(LIB_WRAP) -lpthread
--mupdate.pure: mupdate.o mupdate-slave.o mupdate-client.o mutex_pthread.o \
--      libimap.a $(DEPLIBS)
--      $(PURIFY) $(PUREOPT) $(CC) $(LDFLAGS) -o mupdate.pure \
--       $(SERVICETHREAD) mupdate.o mupdate-slave.o mupdate-client.o \
--       mutex_pthread.o libimap.a $(DEPLIBS) $(LIBS) $(LIB_WRAP) -lpthread
-+mupdate.pure: mupdate.lo mupdate-slave.lo mupdate-client.lo mutex_pthread.lo \
-+      libimap.la $(DEPLIBS)
-+      $(PURIFY) $(PUREOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o mupdate.pure \
-+       $(SERVICETHREAD) mupdate.lo mupdate-slave.lo mupdate-client.lo \
-+       mutex_pthread.lo libimap.la $(DEPLIBS) $(LIBS) $(LIB_WRAP) -lpthread
--pop3d: pop3d.o proxy.o backend.o tls.o mutex_fake.o libimap.a \
-+pop3d: pop3d.lo proxy.lo backend.lo tls.lo mutex_fake.lo libimap.la \
-       $(DEPLIBS) $(SERVICE)
--      $(CC) $(LDFLAGS) -o pop3d pop3d.o proxy.o backend.o tls.o $(SERVICE) \
--       mutex_fake.o libimap.a $(DEPLIBS) $(LIBS) $(LIB_WRAP)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o pop3d pop3d.lo proxy.lo backend.lo tls.lo $(SERVICE) \
-+       mutex_fake.lo libimap.la $(DEPLIBS) $(LIBS) $(LIB_WRAP)
--nntpd: nntpd.o proxy.o backend.o index.o smtpclient.o spool.o tls.o \
--       mutex_fake.o nntp_err.o libimap.a $(DEPLIBS) $(SERVICE)
--      $(CC) $(LDFLAGS) -o nntpd nntpd.o proxy.o backend.o index.o spool.o \
--       smtpclient.o tls.o $(SERVICE) mutex_fake.o nntp_err.o \
--       libimap.a $(DEPLIBS) $(LIBS) $(LIB_WRAP)
-+nntpd: nntpd.lo proxy.lo backend.lo index.lo smtpclient.lo spool.lo tls.lo \
-+       mutex_fake.lo nntp_err.lo libimap.la $(DEPLIBS) $(SERVICE)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o nntpd nntpd.lo proxy.lo backend.lo index.lo spool.lo \
-+       smtpclient.lo tls.lo $(SERVICE) mutex_fake.lo nntp_err.lo \
-+       libimap.la $(DEPLIBS) $(LIBS) $(LIB_WRAP)
--fud: fud.o libimap.a mutex_fake.o $(DEPLIBS) $(SERVICE)
--      $(CC) $(LDFLAGS) -o fud $(SERVICE) fud.o mutex_fake.o libimap.a \
-+fud: fud.lo libimap.la mutex_fake.lo $(DEPLIBS) $(SERVICE)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o fud $(SERVICE) fud.lo mutex_fake.lo libimap.la \
-       $(DEPLIBS) $(LIBS) $(LIB_WRAP)
--smmapd: smmapd.o libimap.a mutex_fake.o $(DEPLIBS) $(SERVICE)
--      $(CC) $(LDFLAGS) -o smmapd $(SERVICE) smmapd.o mutex_fake.o libimap.a \
-+smmapd: smmapd.lo libimap.la mutex_fake.lo $(DEPLIBS) $(SERVICE)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o smmapd $(SERVICE) smmapd.lo mutex_fake.lo libimap.la \
-       $(DEPLIBS) $(LIBS) $(LIB_WRAP)
--sync_server: sync_server.o sync_support.o sync_commit.o \
--      imapparse.o tls.o libimap.a mutex_fake.o $(DEPLIBS) $(SERVICE)
--      $(CC) $(LDFLAGS) -o \
--      sync_server sync_server.o sync_support.o sync_commit.o \
--      imapparse.o tls.o $(SERVICE) libimap.a mutex_fake.o \
-+sync_server: sync_server.lo sync_support.lo sync_commit.lo \
-+      imapparse.lo tls.lo libimap.la mutex_fake.lo $(DEPLIBS) $(SERVICE)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o \
-+      sync_server sync_server.lo sync_support.lo sync_commit.lo \
-+      imapparse.lo tls.lo $(SERVICE) libimap.la mutex_fake.lo \
-       $(DEPLIBS) $(LIBS) $(LIB_WRAP)
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
++%.lo: %.c
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
  
- ### Command Line Utilities
--arbitron: arbitron.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o arbitron arbitron.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--cyr_dbtool: cyr_dbtool.o mutex_fake.o libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o cyr_dbtool cyr_dbtool.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--cyr_synclog: cyr_synclog.o mutex_fake.o libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o cyr_synclog cyr_synclog.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--cvt_cyrusdb: cvt_cyrusdb.o mutex_fake.o libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o cvt_cyrusdb cvt_cyrusdb.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--chk_cyrus: chk_cyrus.o mutex_fake.o libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o chk_cyrus chk_cyrus.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--deliver: deliver.o $(LMTPOBJS) proxy.o mutex_fake.o libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o deliver deliver.o $(LMTPOBJS) proxy.o \
--      mutex_fake.o libimap.a $(DEPLIBS) $(LIBS)
--
--ctl_deliver: ctl_deliver.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o \
--       $@ ctl_deliver.o $(CLIOBJS) libimap.a $(DEPLIBS) $(LIBS)
--
--ctl_mboxlist: ctl_mboxlist.o mupdate-client.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o $@ ctl_mboxlist.o mupdate-client.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--ctl_cyrusdb: ctl_cyrusdb.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o \
--       $@ ctl_cyrusdb.o $(CLIOBJS) libimap.a $(DEPLIBS) $(LIBS)
--
--cyr_expire: cyr_expire.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o $@ cyr_expire.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--fetchnews: fetchnews.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o \
--       $@ fetchnews.o $(CLIOBJS) libimap.a $(DEPLIBS) $(LIBS)
--
--squatter: squatter.o index.o squat_build.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o squatter squatter.o index.o squat_build.o \
--      $(CLIOBJS) libimap.a $(DEPLIBS) $(LIBS)
-+arbitron: arbitron.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o arbitron arbitron.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+cyr_dbtool: cyr_dbtool.lo mutex_fake.lo libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o cyr_dbtool cyr_dbtool.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+cyr_synclog: cyr_synclog.lo mutex_fake.lo libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o cyr_synclog cyr_synclog.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+cvt_cyrusdb: cvt_cyrusdb.lo mutex_fake.lo libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o cvt_cyrusdb cvt_cyrusdb.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+chk_cyrus: chk_cyrus.lo mutex_fake.lo libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o chk_cyrus chk_cyrus.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+deliver: deliver.lo $(LMTPOBJS) proxy.lo mutex_fake.lo libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o deliver deliver.lo $(LMTPOBJS) proxy.lo \
-+      mutex_fake.lo libimap.la $(DEPLIBS) $(LIBS)
-+
-+ctl_deliver: ctl_deliver.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o \
-+       $@ ctl_deliver.lo $(CLIOBJS) libimap.la $(DEPLIBS) $(LIBS)
-+
-+ctl_mboxlist: ctl_mboxlist.lo mupdate-client.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ ctl_mboxlist.lo mupdate-client.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+ctl_cyrusdb: ctl_cyrusdb.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o \
-+       $@ ctl_cyrusdb.lo $(CLIOBJS) libimap.la $(DEPLIBS) $(LIBS)
-+
-+cyr_expire: cyr_expire.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ cyr_expire.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+fetchnews: fetchnews.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o \
-+       $@ fetchnews.lo $(CLIOBJS) libimap.la $(DEPLIBS) $(LIBS)
-+
-+squatter: squatter.lo index.lo squat_build.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o squatter squatter.lo index.lo squat_build.lo \
-+      $(CLIOBJS) libimap.la $(DEPLIBS) $(LIBS)
--mbpath: mbpath.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o mbpath mbpath.o $(CLIOBJS) libimap.a \
-+mbpath: mbpath.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o mbpath mbpath.lo $(CLIOBJS) libimap.la \
-       $(DEPLIBS) $(LIBS)
--ipurge: ipurge.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o ipurge ipurge.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--cyrdump: cyrdump.o index.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o cyrdump cyrdump.o index.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--mbexamine: mbexamine.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o \
--       mbexamine mbexamine.o $(CLIOBJS) libimap.a $(DEPLIBS) $(LIBS)
--
--reconstruct: reconstruct.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o \
--       reconstruct reconstruct.o $(CLIOBJS) libimap.a $(DEPLIBS) $(LIBS)
--
--quota: quota.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o quota quota.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--tls_prune: tls_prune.o tls.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o \
--       $@ tls_prune.o tls.o $(CLIOBJS) libimap.a $(DEPLIBS) $(LIBS)
--
--unexpunge: unexpunge.o $(CLIOBJS) libimap.a $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o $@ unexpunge.o $(CLIOBJS) \
--      libimap.a $(DEPLIBS) $(LIBS)
--
--make_md5: make_md5.o libimap.a mutex_fake.o $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o make_md5 make_md5.o libimap.a mutex_fake.o $(DEPLIBS) $(LIBS)
--
--make_sha1: make_sha1.o libimap.a mutex_fake.o $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o make_sha1 make_sha1.o libimap.a mutex_fake.o $(DEPLIBS) $(LIBS)
--
--sync_client: sync_client.o sync_support.o \
--      backend.o tls.o imapparse.o libimap.a mutex_fake.o $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o \
--      sync_client sync_client.o sync_support.o \
--      backend.o tls.o imapparse.o libimap.a mutex_fake.o $(DEPLIBS) $(LIBS)
--
--sync_reset: sync_reset.o sync_support.o sync_commit.o \
--      libimap.a mutex_fake.o $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o \
--      sync_reset sync_reset.o sync_support.o sync_commit.o \
--      libimap.a mutex_fake.o $(DEPLIBS) $(LIBS)
-+ipurge: ipurge.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o ipurge ipurge.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+cyrdump: cyrdump.lo index.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o cyrdump cyrdump.lo index.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+mbexamine: mbexamine.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o \
-+       mbexamine mbexamine.lo $(CLIOBJS) libimap.la $(DEPLIBS) $(LIBS)
-+
-+reconstruct: reconstruct.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o \
-+       reconstruct reconstruct.lo $(CLIOBJS) libimap.la $(DEPLIBS) $(LIBS)
-+
-+quota: quota.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o quota quota.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+tls_prune: tls_prune.lo tls.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o \
-+       $@ tls_prune.lo tls.lo $(CLIOBJS) libimap.la $(DEPLIBS) $(LIBS)
-+
-+unexpunge: unexpunge.lo $(CLIOBJS) libimap.la $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ unexpunge.lo $(CLIOBJS) \
-+      libimap.la $(DEPLIBS) $(LIBS)
-+
-+make_md5: make_md5.lo libimap.la mutex_fake.lo $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o make_md5 make_md5.lo libimap.la mutex_fake.lo $(DEPLIBS) $(LIBS)
-+
-+make_sha1: make_sha1.lo libimap.la mutex_fake.lo $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o make_sha1 make_sha1.lo libimap.la mutex_fake.lo $(DEPLIBS) $(LIBS)
-+
-+sync_client: sync_client.lo sync_support.lo \
-+      backend.lo tls.lo imapparse.lo libimap.la mutex_fake.lo $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o \
-+      sync_client sync_client.lo sync_support.lo \
-+      backend.lo tls.lo imapparse.lo libimap.la mutex_fake.lo $(DEPLIBS) $(LIBS)
-+
-+sync_reset: sync_reset.lo sync_support.lo sync_commit.lo \
-+      libimap.la mutex_fake.lo $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o \
-+      sync_reset sync_reset.lo sync_support.lo sync_commit.lo \
-+      libimap.la mutex_fake.lo $(DEPLIBS) $(LIBS)
+ remotepurge: $(OBJS) $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? $(LIBS)
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(LIBS)
  
- ### Other Misc Targets
  
  clean:
--      rm -f *.o *.a Makefile.bak makedepend.log \
-+      rm -f *.lo *.la Makefile.bak makedepend.log \
-       $(BUILTSOURCES) $(PROGS) $(SUIDPROGS)
+-      rm -f *.lo Makefile.bak remotepurge makedepend.log
++      rm -rf .libs *.lo *.o Makefile.bak remotepurge makedepend.log
  
  distclean: clean
---- cyrus-imapd-2.3.8/installsieve/Makefile.in 2007-02-18 23:43:17.000000000 +0100
-+++ cyrus-imapd-2.3.12p2/installsieve/Makefile.in      2008-09-23 21:33:10.055330477 +0300
-@@ -45,6 +45,8 @@
+       rm -f Makefile
+--- cyrus-imapd-2.4.4/notifyd/Makefile.in      2010-11-30 07:53:22.208620530 +0200
++++ cyrus-imapd-2.4.4-shared-patch//notifyd/Makefile.in        2010-11-29 08:20:28.862982985 +0200
+@@ -49,6 +49,8 @@
  
  CC = @CC@
  RANLIB = @RANLIB@
 +LIBTOOL = @LIBTOOL@
 +top_builddir = @top_builddir@
  
- DEFS = @DEFS@
- CPPFLAGS = -I. -I$(srcdir) -I$(srcdir)/../lib @CPPFLAGS@ @SASLFLAGS@
-@@ -57,7 +59,7 @@
- IMAP_LIBS = @IMAP_LIBS@
- LIBS = 
--DEPLIBS= ../lib/libcyrus.a @DEPLIBS@
-+DEPLIBS= ../lib/libcyrus.la @DEPLIBS@
+ INSTALL = @INSTALL@
+ CYRUS_USER=@cyrus_user@
+@@ -82,26 +84,26 @@
+ all: notifyd
  
- prefix = @prefix@
- exec_prefix = @exec_prefix@
-@@ -68,20 +70,18 @@
- install:
-       $(LIBTOOL) --mode=install $(INSTALL) installsieve $(DESTDIR)$(exec_prefix)/bin
  install:
--      $(INSTALL) -s -m 755 installsieve $(DESTDIR)$(exec_prefix)/bin
-+      $(LIBTOOL) --mode=install $(INSTALL) installsieve $(DESTDIR)$(exec_prefix)/bin
+-      $(INSTALL) -m 755 notifyd $(DESTDIR)$(service_path)
++      $(LIBTOOL) --mode=install $(INSTALL) -m 755 notifyd $(DESTDIR)$(service_path)
  
--OBJS=lex.o mystring.o request.o isieve.o
-+OBJS=lex.lo mystring.lo request.lo isieve.lo
+ OBJS= notifyd.lo notify_null.lo notify_log.lo notify_mailto.lo notify_zephyr.lo \
+       notify_external.lo
  
--libinstallsieve.a: $(OBJS)
--      rm -f libinstallsieve.a
--      ar cr libinstallsieve.a $(OBJS)
--      $(RANLIB) libinstallsieve.a
-+libinstallsieve.la: $(OBJS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) -o libinstallsieve.la $(OBJS)
+ notifytest: notifytest.lo
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(DEPLIBS) $(IMAP_LIBS) $(LIBS) $(LIB_WRAP)
  
--installsieve: libinstallsieve.a installscript.o $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o installsieve libinstallsieve.a installscript.o $(DEPLIBS) $(IMAP_LIBS)
-+installsieve: libinstallsieve.la installscript.lo $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o installsieve libinstallsieve.la installscript.lo $(DEPLIBS) $(IMAP_LIBS)
+ notifyd: $(OBJS) $(SERVICE)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(DEPLIBS) $(IMAP_LIBS) $(LIBS) $(LIB_WRAP)
+ notifyd.pure: $(OBJS) $(SERVICE)
+       $(PURIFY) $(PUREOPT) \
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(DEPLIBS) $(IMAP_LIBS) $(LIBS) $(LIB_WRAP)
  
  clean:
--      rm -f *.o *.a Makefile.bak makedepend.log
-+      rm -f *.lo *.la Makefile.bak makedepend.log
+-      rm -f notifyd notifytest *.lo *.la *~ Makefile.bak makedepend.log
++      rm -rf notifyd notifytest .libs *.lo *.o *.la *.a *~ Makefile.bak makedepend.log
  
  distclean: clean
-       rm -f Makefile installsieve
-@@ -91,7 +91,6 @@
+       rm -f Makefile
+@@ -109,8 +111,8 @@
+ depend:
+       ${MAKEDEPEND} $(CPPFLAGS) $(DEFS) -I$(srcdir) $(CFLAGS) *.c $(srcdir)/*.c 1>makedepend.log 2>&1
  
--.c.o:
--      $(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) -I. $(CFLAGS) \
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
 +%.lo: %.c
-+      $(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) -I. $(CFLAGS) \
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
        $<
  
--
  # DO NOT DELETE THIS LINE -- make depend depends on it.
---- cyrus-imapd-2.3.8/perl/sieve/managesieve/Makefile.PL.wiget 2006-11-30 18:11:24.000000000 +0100
-+++ cyrus-imapd-2.3.8/perl/sieve/managesieve/Makefile.PL       2007-02-18 23:43:17.000000000 +0100
-@@ -59,8 +59,8 @@
-     'NAME'    => 'Cyrus::SIEVE::managesieve',
-     'ABSTRACT'  => 'Cyurs Sieve management interface',
-     'VERSION_FROM' => 'managesieve.pm', # finds $VERSION
--    'MYEXTLIB'  => '../lib/isieve.o ../lib/lex.o ../lib/mystring.o ../lib/request.o ../../../lib/libcyrus.a ../../../lib/libcyrus_min.a',
--    'LIBS'    => ["$BDB_LIB $SASL_LIB $OPENSSL_LIB $LIB_RT -lssl -lcrypto"], 
-+    'MYEXTLIB'  => '../lib/.libs/isieve.o ../lib/.libs/lex.o ../lib/.libs/mystring.o ../lib/.libs/request.o',
-+    'LIBS'    => ["$BDB_LIB $SASL_LIB $OPENSSL_LIB $LIB_RT -lssl -lcrypto -L../../../lib/.libs -lcyrus -lcyrus_min"], 
-     'DEFINE'  => '-DPERL_POLLUTE',     # e.g., '-DHAVE_SOMETHING' 
-     'INC'     => "-I../lib/ -I../../../lib/ $SASL_INC $OPENSSL_INC",
- );
---- cyrus-imapd-2.3.8/perl/sieve/managesieve/managesieve.xs.wiget      2006-11-30 18:11:24.000000000 +0100
-+++ cyrus-imapd-2.3.8/perl/sieve/managesieve/managesieve.xs    2007-02-18 23:43:17.000000000 +0100
-@@ -96,6 +96,7 @@
-     croak("failure: %s", s);
-     exit(-1);
+--- cyrus-imapd-2.4.4/perl/imap/IMAP.xs        2010-11-30 07:53:22.211954414 +0200
++++ cyrus-imapd-2.4.4-shared-patch//perl/imap/IMAP.xs  2010-11-29 08:14:14.301370855 +0200
+@@ -76,6 +76,7 @@
+ {
+   croak(s);
  }
 +const int config_need_data = 0;
  
- static int
- perlsieve_getpass(conn, context, id, psecret)
---- cyrus-imapd-2.3.8/perl/sieve/lib/Makefile.in.wiget 2006-11-30 18:11:24.000000000 +0100
-+++ cyrus-imapd-2.3.8/perl/sieve/lib/Makefile.in       2007-02-18 23:43:17.000000000 +0100
-@@ -49,12 +49,14 @@
+ /*
+  * Decrement the refcounts of the Perl SV's in the passed rock, then free the
+--- cyrus-imapd-2.4.4/perl/imap/Makefile.PL    2010-11-30 07:53:22.211954414 +0200
++++ cyrus-imapd-2.4.4-shared-patch//perl/imap/Makefile.PL      2010-11-29 08:40:48.980296564 +0200
+@@ -65,7 +65,7 @@
+     'clean'   => {'FILES' => 'libcyrperl.la cyradm'},
+     'OBJECT'    => 'IMAP.lo',
+     'MYEXTLIB'  => '../../lib/libcyrus.la ../../lib/libcyrus_min.la',
+-    'LIBS'    => ["$BDB_LIB $SASL_LIB $OPENSSL_LIB $LIB_RT $ZLIB -lssl -lcrypto"],
++    'LIBS'    => ["$BDB_LIB $SASL_LIB $OPENSSL_LIB $LIB_RT $ZLIB -lssl -lcrypto -L../../lib/.libs -lcyrus -lcyrus_min"],
+     'DEFINE'  => '-DPERL_POLLUTE',    # e.g., '-DHAVE_SOMETHING' 
+     'INC'     => "-I../../lib -I../.. -I../../com_err/et $SASL_INC $OPENSSL_INC", 
+     'EXE_FILES' => [cyradm],
+--- cyrus-imapd-2.4.4/perl/sieve/lib/Makefile.in       2010-11-30 07:53:22.211954414 +0200
++++ cyrus-imapd-2.4.4-shared-patch//perl/sieve/lib/Makefile.in 2010-11-29 08:44:40.675056075 +0200
+@@ -49,7 +49,8 @@
  CC = @CC@
  INSTALL = @INSTALL@
- RANLIB = @RANLIB@
+-RANLIB = @RANLIB@
 +LIBTOOL = @LIBTOOL@
 +top_builddir = @top_builddir@
  
  DEFS = @DEFS@ @LOCALDEFS@ -Dbool=char -DHAS_BOOL
  CPPFLAGS = -I. -I../../.. -I$(srcdir) -I$(srcdir)/../../../lib @CPPFLAGS@ @DYNSASLFLAGS@ @COM_ERR_CPPFLAGS@
--LIBS = ../../../lib/libcyrus.a ../../../lib/libcyrus_min.a @LIB_DYN_SASL@ @LIBS@
-+LIBS = ../../../lib/libcyrus.la ../../../lib/libcyrus_min.la @LIB_DYN_SASL@ @LIBS@
- IMAP_LIBS = @IMAP_LIBS@
--DEPLIBS = ../../../lib/libcyrus.a ../../../lib/libcyrus_min.a @DEPLIBS@
-+DEPLIBS = ../../../lib/libcyrus.la ../../../lib/libcyrus_min.la @DEPLIBS@
- MAKEDEPEND_CFLAGS = @CFLAGS@
- CFLAGS = @CFLAGS@ @PERL_CCCDLFLAGS@
-@@ -67,19 +69,17 @@
- exec_prefix = @exec_prefix@
- cyrus_prefix = @cyrus_prefix@
--OBJS=isieve.o lex.o mystring.o request.o
-+OBJS=isieve.lo lex.lo mystring.lo request.lo
--all: libisieve.a
-+all: libisieve.la
+@@ -74,16 +75,14 @@
  
  install:
  
--.c.o:
+-.c.lo:
 -      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
 +%.lo: %.c
-+      $(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
  
--libisieve.a: $(OBJS)
--      rm -f libisieve.a
--      ar cr libisieve.a $(OBJS)
--      $(RANLIB) libisieve.a
-+libisieve.la: $(OBJS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) -o libisievie.la $(OBJS)
+ libisieve.la: $(OBJS)
+-      rm -f libisieve.la
+-      ar cr libisieve.la $(OBJS)
+-      $(RANLIB) libisieve.la
++      $(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $(OBJS)
  
  clean:
-       rm -f *.o Makefile.bak makedepend.log libisieve.a
---- cyrus-imapd-2.3.8/perl/imap/IMAP.xs.wiget  2006-11-30 18:11:23.000000000 +0100
-+++ cyrus-imapd-2.3.8/perl/imap/IMAP.xs        2007-02-18 23:43:17.000000000 +0100
-@@ -75,6 +75,7 @@
- {
-   croak(s);
+-      rm -f *.lo Makefile.bak makedepend.log libisieve.la
++      rm -rf .libs *.la *.lo *.o Makefile.bak makedepend.log
+ distclean: clean
+       rm -f Makefile
+--- cyrus-imapd-2.4.4/perl/sieve/managesieve/Makefile.PL       2010-11-30 07:53:22.211954414 +0200
++++ cyrus-imapd-2.4.4-shared-patch//perl/sieve/managesieve/Makefile.PL 2010-11-29 08:46:22.825182931 +0200
+@@ -61,8 +61,8 @@
+     'NAME'    => 'Cyrus::SIEVE::managesieve',
+     'ABSTRACT'  => 'Cyurs Sieve management interface',
+     'VERSION_FROM' => 'managesieve.pm', # finds $VERSION
+-    'MYEXTLIB'  => '../lib/isieve.lo ../lib/lex.lo ../lib/mystring.lo ../lib/request.lo ../../../lib/libcyrus.la ../../../lib/libcyrus_min.la',
+-    'LIBS'    => ["$BDB_LIB $SASL_LIB $OPENSSL_LIB $LIB_RT $ZLIB -lssl -lcrypto"], 
++    'MYEXTLIB'  => '../lib/isieve.o ../lib/lex.o ../lib/mystring.o ../lib/request.o',
++    'LIBS'    => ["$BDB_LIB $SASL_LIB $OPENSSL_LIB $LIB_RT $ZLIB -lssl -lcrypto -L../../../lib/.libs -lcyrus -lcyrus_min"], 
+     'DEFINE'  => '-DPERL_POLLUTE',     # e.g., '-DHAVE_SOMETHING' 
+     'INC'     => "-I../lib/ -I../../../lib/ $SASL_INC $OPENSSL_INC",
+ );
+--- cyrus-imapd-2.4.4/perl/sieve/managesieve/managesieve.xs    2010-11-30 07:53:22.211954414 +0200
++++ cyrus-imapd-2.4.4-shared-patch//perl/sieve/managesieve/managesieve.xs      2010-11-29 08:14:14.304704736 +0200
+@@ -72,6 +72,7 @@
+     croak("failure: %s", s);
+     exit(-1);
  }
 +const int config_need_data = 0;
  
- /*
-  * Decrement the refcounts of the Perl SV's in the passed rock, then free the
---- cyrus-imapd-2.3.8/perl/imap/Makefile.PL.wiget      2006-11-30 18:11:23.000000000 +0100
-+++ cyrus-imapd-2.3.8/perl/imap/Makefile.PL    2007-02-18 23:43:17.000000000 +0100
-@@ -63,8 +63,7 @@
-     'macro'   => {'IMCLIENT_LIBS' => ''},     # hack
-     'clean'   => {'FILES' => 'libcyrperl.a cyradm'},
-     'OBJECT'    => 'IMAP.o',
--    'MYEXTLIB'  => '../../lib/libcyrus.a ../../lib/libcyrus_min.a',
--    'LIBS'    => ["$BDB_LIB $SASL_LIB $OPENSSL_LIB $LIB_RT -lssl -lcrypto"],
-+    'LIBS'    => ["$BDB_LIB $SASL_LIB $OPENSSL_LIB $LIB_RT -lssl -lcrypto -L../../lib/.libs -lcyrus -lcyrus_min"],
-     'DEFINE'  => '-DPERL_POLLUTE',    # e.g., '-DHAVE_SOMETHING' 
-     'INC'     => "-I../../lib -I../.. -I../../et $SASL_INC $OPENSSL_INC", 
-     'EXE_FILES' => [cyradm],
---- cyrus-imapd-2.3.8/imtest/imtest.c.wiget    2006-11-30 18:11:22.000000000 +0100
-+++ cyrus-imapd-2.3.8/imtest/imtest.c  2007-02-18 23:43:17.000000000 +0100
-@@ -268,6 +268,9 @@
-     imtest_fatal(msg);
- }
+ static int
+ perlsieve_getpass(conn, context, id, psecret)
+--- cyrus-imapd-2.4.4/ptclient/Makefile.in     2010-11-30 07:53:22.211954414 +0200
++++ cyrus-imapd-2.4.4-shared-patch//ptclient/Makefile.in       2010-11-29 08:58:33.885354117 +0200
+@@ -50,7 +50,8 @@
  
-+/* config.c stuff */
-+const int config_need_data = 0;
-+
- int mysasl_config(void *context __attribute__((unused)), 
-                 const char *plugin_name,
-                 const char *option,
---- cyrus-imapd-2.3.8/imtest/Makefile.in.wiget 2006-11-30 18:11:22.000000000 +0100
-+++ cyrus-imapd-2.3.8/imtest/Makefile.in       2007-02-18 23:43:17.000000000 +0100
-@@ -49,12 +49,14 @@
  CC = @CC@
  INSTALL = @INSTALL@
- RANLIB = @RANLIB@
+-RANLIB = @RANLIB@
 +LIBTOOL = @LIBTOOL@
 +top_builddir = @top_builddir@
  
- DEFS = @DEFS@ @LOCALDEFS@
- CPPFLAGS = -I.. -I$(srcdir)/../lib @COM_ERR_CPPFLAGS@ @CPPFLAGS@  @SASLFLAGS@
- LIBS = @LIBS@ 
- IMAP_LIBS = @IMAP_LIBS@ @LIB_RT@
--DEPLIBS = ../lib/libcyrus.a ../lib/libcyrus_min.a @DEPLIBS@
-+DEPLIBS = ../lib/libcyrus.la ../lib/libcyrus_min.la @DEPLIBS@
- CFLAGS = @CFLAGS@
- LDFLAGS = @LDFLAGS@ @COM_ERR_LDFLAGS@
-@@ -72,7 +74,7 @@
- all: imtest
+ DEFS = @DEFS@
+ CPPFLAGS = -I.. -I$(srcdir)/../imap -I$(srcdir)/../lib @COM_ERR_CPPFLAGS@ @CPPFLAGS@ @SASLFLAGS@
+@@ -89,36 +90,36 @@
+ all: $(PROGS)
  
  install:
--      $(INSTALL) -s -m 755 imtest $(DESTDIR)$(exec_prefix)/bin
-+      $(LIBTOOL) --mode=install $(INSTALL) imtest $(DESTDIR)$(exec_prefix)/bin
-       ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/pop3test
-       ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/nntptest
-       ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/lmtptest
-@@ -85,10 +87,10 @@
-       $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<
+-      $(INSTALL) -m 755 ptloader $(DESTDIR)$(service_path)
+-      $(INSTALL) -m 755 ptexpire $(DESTDIR)$(service_path)
+-      $(INSTALL) -m 755 ptdump $(DESTDIR)$(service_path)
++      $(LIBTOOL) --mode=install $(INSTALL) ptloader $(DESTDIR)$(service_path)
++      $(LIBTOOL) --mode=install $(INSTALL) ptexpire $(DESTDIR)$(service_path)
++      $(LIBTOOL) --mode=install $(INSTALL) ptdump $(DESTDIR)$(service_path)
  
- imtest: imtest.o $(DEPLIBS)
--      $(CC) $(LDFLAGS) -o imtest imtest.o $(DEPLIBS) $(IMAP_LIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o imtest imtest.o $(DEPLIBS) $(IMAP_LIBS)
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(LDAP_CPPFLAGS) $(DEFS) $(CFLAGS) $<
++%.lo: %.c
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(LDAP_CPPFLAGS) $(DEFS) $(CFLAGS) $<
  
imtest.pure: imtest.o $(DEPLIBS)
--      $(PURIFY) $(PUREOPT) $(CC) $(LDFLAGS) -o imtest $(OBJS) $(DEPLIBS) $(LIBS) $(IMAP_LIBS)
-+      $(PURIFY) $(PUREOPT) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o imtest $(OBJS) $(DEPLIBS) $(LIBS) $(IMAP_LIBS)
ptloader: ptloader.lo afskrb.lo ldap.lo ../imap/mutex_fake.lo $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? $(SERVICETHREAD) ${AFS_LDFLAGS} ${LDAP_LDFLAGS} $(AFS_LIBS) ${LDAP_LIBS} $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(SERVICETHREAD) ${AFS_LDFLAGS} ${LDAP_LDFLAGS} $(AFS_LIBS) ${LDAP_LIBS} $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
  
- clean:
-       rm -f *.o Makefile.bak makedepend.log imtest
---- cyrus-imapd-2.3.8/notifyd/Makefile.in      2007-02-18 23:43:17.000000000 +0100
-+++ cyrus-imapd-2.3.12p2/notifyd/Makefile.in   2008-09-23 21:41:12.911256605 +0300
-@@ -47,6 +47,8 @@
+ ptloader.pure: ptloader.lo afskrb.lo ldap.lo ../imap/mutex_fake.lo $(DEPLIBS)
+-      $(PURIFY) $(PUREARGS) $(CC) $(LDFLAGS) -o $@ $? $(SERVICETHREAD) ${AFS_LDFLAGS} ${LDAP_LDFLAGS} $(AFS_LIBS) ${LDAP_LIBS} $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
++      $(PURIFY) $(PUREARGS) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(SERVICETHREAD) ${AFS_LDFLAGS} ${LDAP_LDFLAGS} $(AFS_LIBS) ${LDAP_LIBS} $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
  
- CC = @CC@
- RANLIB = @RANLIB@
-+LIBTOOL = @LIBTOOL@
-+top_builddir = @top_builddir@
+ ptexpire: ptexpire.lo $(DEPLIBS) $(UTIL_LIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? $(LIB_SASL) $(LIBS) $(LIB_RT)
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(LIB_SASL) $(LIBS) $(LIB_RT)
  
- INSTALL = @INSTALL@
- CYRUS_USER=@cyrus_user@
-@@ -68,39 +70,39 @@
+ ptexpire.pure: ptexpire.lo $(DEPLIBS) $(UTIL_LIBS)
+-      $(PURIFY) $(PUREARGS) $(CC) $(LDFLAGS) -o $@ $? $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
++      $(PURIFY) $(PUREARGS) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
  
- NOTIFYD_LIBS = @NOTIFYD_LIBS@
+ ptdump: ptdump.lo $(DEPLIBS) $(UTIL_LIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? $(LIB_SASL) $(LIBS) $(LIB_RT)
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(LIB_SASL) $(LIBS) $(LIB_RT)
  
--SERVICE=../master/service.o
-+SERVICE=../master/service.lo
+ ptdump.pure: ptdump.lo $(DEPLIBS) $(UTIL_LIBS)
+-      $(PURIFY) $(PUREARGS) $(CC) $(LDFLAGS) -o $@ $? $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
++      $(PURIFY) $(PUREARGS) $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(LIB_SASL) $(LIBS) $(LIB_WRAP) $(LIB_RT)
  
- IMAP_LIBS = @IMAP_LIBS@ @LIB_RT@
- IMAP_COM_ERR_LIBS = @IMAP_COM_ERR_LIBS@
- LIB_WRAP = @LIB_WRAP@
- LIBS = @ZEPHYR_LIBS@ @LIBS@ $(IMAP_COM_ERR_LIBS)
--DEPLIBS=../imap/mutex_fake.o ../imap/libimap.a ../lib/libcyrus.a ../lib/libcyrus_min.a @DEPLIBS@
-+DEPLIBS=../imap/mutex_fake.lo ../imap/libimap.la ../lib/libcyrus.la ../lib/libcyrus_min.la @DEPLIBS@
+ ptextract: ptextract.lo $(DEPLIBS) $(UTIL_LIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? $(LIBS)
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(LIBS)
  
- PURIFY=/usr/local/bin/purify
- PUREOPT=-best-effort
+ clean:
+-      rm -f *.lo Makefile.bak $(PROGS) makedepend.log
++      rm -rf .libs *.lo *.o Makefile.bak $(PROGS) makedepend.log
  
- install:
--      $(INSTALL) -m 755 notifyd $(DESTDIR)$(service_path)
-+      $(LIBTOOL) --mode=install $(INSTALL) notifyd $(DESTDIR)$(service_path)
+ distclean: clean
+       rm -f Makefile
+--- cyrus-imapd-2.4.4/sieve/Makefile.in        2010-11-30 07:53:22.215288298 +0200
++++ cyrus-imapd-2.4.4-shared-patch//sieve/Makefile.in  2010-11-29 09:06:25.952918572 +0200
+@@ -44,6 +44,7 @@
  
- OBJS= notifyd.o notify_null.o notify_log.o notify_mailto.o notify_zephyr.o
+ srcdir = @srcdir@
+ top_srcdir = @top_srcdir@
++top_builddir = @top_builddir@
+ VPATH = @srcdir@
  
- notifytest: notifytest.o
--      $(CC) $(LDFLAGS) -o notifytest \
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o notifytest \
-        notifytest.o $(DEPLIBS) $(IMAP_LIBS) $(LIBS) $(LIB_WRAP)
+ prefix = @prefix@
+@@ -51,10 +52,11 @@
+ service_path = @service_path@
  
- notifyd: $(OBJS) $(SERVICE)
--      $(CC) $(LDFLAGS) -o notifyd \
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o notifyd \
-        $(SERVICE) $(OBJS) $(DEPLIBS) $(IMAP_LIBS) $(LIBS) $(LIB_WRAP)
+ CC = @CC@
++INSTALL = @INSTALL@
+ YACC = @YACC@
+ YFLAGS = -d
+ LEX = @LEX@
+-RANLIB = @RANLIB@
++LIBTOOL = @LIBTOOL@
+ COMPILE_ET = @COMPILE_ET@
  
- notifyd.pure: $(OBJS) $(SERVICE)
-       $(PURIFY) $(PUREOPT) \
--      $(CC) $(LDFLAGS) -o notifyd.pure \
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o notifyd.pure \
-        $(SERVICE) $(OBJS) $(DEPLIBS) $(IMAP_LIBS) $(LIBS) $(LIB_WRAP)
+ DEFS = @DEFS@ @LOCALDEFS@
+@@ -85,7 +87,7 @@
+       $(srcdir)/../install-sh -c -m 755 sieved $(DESTDIR)$(service_path) || exit
  
-        $(SERVICE) $(OBJS) $(DEPLIBS) $(IMAP_LIBS) $(LIBS) $(LIB_WRAP)
+ test: libsieve.la test.lo ../imap/message.lo $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? \
+       $(LIBS)
+ OBJS = sieve_err.lo \
+@@ -119,15 +121,13 @@
+ #libsieve.la: sieve.c sieve.h sieve_err.h sieve_err.c $(OBJS)
+ #changed to...
+ libsieve.la: $(OBJS)
+-      rm -f libsieve.la
+-      ar cr libsieve.la $(OBJS)
+-      $(RANLIB) libsieve.la
++      $(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $(OBJS)
+ sievec: sievec.lo libsieve.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? $(LIBS)
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(LIBS)
+ sieved: sieved.lo libsieve.la $(DEPLIBS)
+-      $(CC) $(LDFLAGS) -o $@ $? $(LIBS)
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ sieved.lo libsieve.la $(LIBS) $(DEPLIBS)
+ sieve_interface.h: sieve_err.h
+@@ -136,7 +136,7 @@
+       $(COMPILE_ET) $(srcdir)/sieve_err.et
  
  clean:
--      rm -f notifyd notifytest *.o *.a *~ Makefile.bak makedepend.log
-+      rm -f notifyd notifytest *.lo *.la *~ Makefile.bak makedepend.log
+-      rm -f sievec sieved test *~ *.lo *.la Makefile.bak makedepend.log
++      rm -rf .libs sievec sieved test *~ *.lo *.o *.la *.a Makefile.bak makedepend.log
  
  distclean: clean
-       rm -f Makefile
-@@ -108,8 +110,8 @@
+       rm -f sieve_err.c sieve_err.h
+@@ -148,7 +148,8 @@
  depend:
-       ${MAKEDEPEND} $(CPPFLAGS) $(DEFS) -I$(srcdir) $(CFLAGS) *.c $(srcdir)/*.c 1>makedepend.log 2>&1
+       ${MAKEDEPEND} $(CPPFLAGS) $(DEFS) -I$(srcdir) $(MAKEDEPEND_CFLAGS) *.c *.y $(srcdir)/*.y $(srcdir)/*.c 1>makedepend.log 2>&1
  
--.c.o:
--      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
+-.c.lo:
 +%.lo: %.c
-+      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
++      $(LIBTOOL) --mode=compile --tag=CC \
+       $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
        $<
  
- # DO NOT DELETE THIS LINE -- make depend depends on it.
---- cyrus-imapd-2.3.12p2/master/Makefile.in~   2008-09-23 18:31:43.000000000 +0300
-+++ cyrus-imapd-2.3.12p2/master/Makefile.in    2008-09-23 18:32:06.430769398 +0300
-@@ -49,6 +49,8 @@
+--- cyrus-imapd-2.4.4/syslog/Makefile.in       2010-11-30 07:53:22.215288298 +0200
++++ cyrus-imapd-2.4.4-shared-patch//syslog/Makefile.in 2010-11-29 08:25:14.816679541 +0200
+@@ -44,12 +44,14 @@
+ # $Id$
+ srcdir = @srcdir@
++top_builddir = @top_builddir@
+ VPATH = @srcdir@
  CC = @CC@
  INSTALL = @INSTALL@
  RANLIB = @RANLIB@
 +LIBTOOL = @LIBTOOL@
-+top_builddir = @top_builddir@
  
- CYRUS_USER=@cyrus_user@
- CYRUS_GROUP=@cyrus_group@
-@@ -59,7 +61,7 @@
- CFLAGS = @CFLAGS@
- LDFLAGS = @LDFLAGS@ @COM_ERR_LDFLAGS@
--LIBS = ../lib/libcyrus_min.a @LIB_UCDSNMP@ @LIBS@ @COM_ERR_LIBS@
-+LIBS = ../lib/libcyrus_min.la @LIB_UCDSNMP@ @LIBS@ @COM_ERR_LIBS@
+ DEFS = @DEFS@
+ CPPFLAGS = @CPPFLAGS@
+@@ -66,18 +68,17 @@
+ install:
+       @echo "Install syslogd and syslog.conf as appropriate"
  
- SHELL = /bin/sh
- MAKEDEPEND = @MAKEDEPEND@
-@@ -79,7 +81,7 @@
-       $(srcdir)/../install-sh -d ${DESTDIR}$(service_path)
-       for file in $(PROGS); \
-       do \
--              $(INSTALL) -m 755 $$file $(DESTDIR)$(service_path) || exit 1; \
-+              $(LIBTOOL) --mode=install $(INSTALL) $$file $(DESTDIR)$(service_path) || exit 1; \
-       done
+-.c.lo:
+-      $(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) $(CFLAGS) $<
++%.lo: %.c
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) $(CFLAGS) $<
  
- .c.o:
-@@ -88,7 +88,7 @@
-       $<
+ libsyslog.la: syslog.lo
+-      ar cr libsyslog.la syslog.lo
+-      $(RANLIB) libsyslog.la
++      $(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $<
  
master: master.o masterconf.o cyrusMasterMIB.o ../lib/lock_@WITH_LOCK@.o
--      $(CC) $(LDFLAGS) -o master master.o masterconf.o cyrusMasterMIB.o ../lib/lock_@WITH_LOCK@.o $(LIBS) $(DEPLIBS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o master master.o masterconf.o cyrusMasterMIB.o ../lib/lock_@WITH_LOCK@.o $(LIBS) $(DEPLIBS)
syslogd: syslogd.lo
+-      $(CC) $(LDFLAGS) -o $@ $? $(LIBS)
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $? $(LIBS)
  
  clean:
-       rm -f *.o *.a Makefile.bak $(PROGS)
---- cyrus-imapd-2.3.12p2/lib/Makefile.in~      2008-09-23 18:31:43.000000000 +0300
-+++ cyrus-imapd-2.3.12p2/lib/Makefile.in       2008-09-23 18:35:29.430522834 +0300
-@@ -43,10 +43,10 @@
- # $Id$
+-      rm -f *.lo *.la Makefile.bak
++      rm -rf .libs *.lo *.o *.la *.a Makefile.bak
  
- # Authorization namespace.
--AUTH=auth.o auth_krb.o auth_unix.o auth_krb5.o auth_pts.o
-+AUTH=auth.lo auth_krb.lo auth_unix.lo auth_krb5.lo auth_pts.lo
- # ACL interpretation.  Only one choice for now:
--ACL=acl_afs.o
-+ACL=acl_afs.lo
- srcdir = @srcdir@
- top_srcdir = @top_srcdir@
-@@ -56,6 +56,8 @@
+ distclean: clean
+       rm -f Makefile
+--- cyrus-imapd-2.4.4/timsieved/Makefile.in    2010-11-30 07:53:22.215288298 +0200
++++ cyrus-imapd-2.4.4-shared-patch//timsieved/Makefile.in      2010-11-29 08:40:02.882717314 +0200
+@@ -48,7 +48,8 @@
+ VPATH = @srcdir@
  
INSTALL = @INSTALL@
- RANLIB = @RANLIB@
CC = @CC@
+-RANLIB = @RANLIB@
 +LIBTOOL = @LIBTOOL@
 +top_builddir = @top_builddir@
  
- DEFS = @DEFS@ @LOCALDEFS@
- CPPFLAGS = -I.. @CPPFLAGS@ @COM_ERR_CPPFLAGS@ @SASLFLAGS@
-@@ -71,6 +73,7 @@
- prefix = @prefix@
- exec_prefix = @exec_prefix@
- cyrus_prefix = @cyrus_prefix@
-+libdir = @libdir@
- libdir = @libdir@
-@@ -93,28 +93,28 @@
-       $(srcdir)/libcyr_cfg.h $(srcdir)/byteorder64.h \
-       $(srcdir)/md5.h $(srcdir)/hmac-md5.h
--LIBCYR_OBJS = acl.o bsearch.o charset.o glob.o retry.o util.o \
--      libcyr_cfg.o mkgmtime.o prot.o parseaddr.o imclient.o imparse.o \
--      lsort.o stristr.o rfc822date.o cyrusdb.o strhash.o \
--      chartable.o imapurl.o nonblock_@WITH_NONBLOCK@.o lock_@WITH_LOCK@.o \
--      gmtoff_@WITH_GMTOFF@.o map_@WITH_MAP@.o $(ACL) $(AUTH) \
-+LIBCYR_OBJS = acl.lo bsearch.lo charset.lo glob.lo retry.lo util.lo \
-+      libcyr_cfg.lo mkgmtime.lo prot.lo parseaddr.lo imclient.lo imparse.lo \
-+      lsort.lo stristr.lo rfc822date.lo cyrusdb.lo strhash.lo \
-+      chartable.lo imapurl.lo nonblock_@WITH_NONBLOCK@.lo lock_@WITH_LOCK@.lo \
-+      gmtoff_@WITH_GMTOFF@.lo map_@WITH_MAP@.lo $(ACL) $(AUTH) \
-       @LIBOBJS@ @CYRUSDB_OBJS@ @MD5OBJ@ \
--      iptostring.o xmalloc.o wildmat.o byteorder64.o \
--      xstrlcat.o xstrlcpy.o
-+      iptostring.lo xmalloc.lo wildmat.lo byteorder64.lo \
-+      xstrlcat.lo xstrlcpy.lo
- LIBCYRM_HDRS = $(srcdir)/hash.h $(srcdir)/mpool.h $(srcdir)/xmalloc.h \
-       $(srcdir)/xstrlcat.h $(srcdir)/xstrlcpy.h $(srcdir)/util.h \
-       $(srcdir)/strhash.h $(srcdir)/libconfig.h $(srcdir)/assert.h \
-       imapopts.h
--LIBCYRM_OBJS = libconfig.o imapopts.o hash.o mpool.o xmalloc.o strhash.o \
--      xstrlcat.o xstrlcpy.o assert.o util.o @IPV6_OBJS@
-+LIBCYRM_OBJS = libconfig.lo imapopts.lo hash.lo mpool.lo xmalloc.lo strhash.lo \
-+      xstrlcat.lo xstrlcpy.lo assert.lo util.lo @IPV6_OBJS@
--all: $(BUILTSOURCES) libcyrus_min.a libcyrus.a
-+all: $(BUILTSOURCES) libcyrus_min.la libcyrus.la
+ INSTALL = @INSTALL@
+ CYRUS_USER=@cyrus_user@
+@@ -82,22 +83,22 @@
+ all: timsieved
  
  install:
-       $(srcdir)/../install-sh -d $(DESTDIR)$(libdir)
--      $(INSTALL) -m 644 libcyrus.a $(DESTDIR)$(libdir)
--      $(INSTALL) -m 644 libcyrus_min.a $(DESTDIR)$(libdir)
-+      $(LIBTOOL) --mode=install $(INSTALL) -m 644 libcyrus.la $(DESTDIR)$(libdir)
-+      $(LIBTOOL) --mode=install $(INSTALL) -m 644 libcyrus_min.la $(DESTDIR)$(libdir)
-        $(RANLIB) $(DESTDIR)$(libdir)/libcyrus.a
-       for file in $(LIBCYR_HDRS); \
-       do \
-@@ -120,19 +123,15 @@
-               $(INSTALL) -m 644 $$file $(DESTDIR)$(prefix)/include/cyrus || exit 1; \
-       done
+-      $(INSTALL) -m 755 timsieved $(DESTDIR)$(service_path)
++      $(LIBTOOL) --mode=install $(INSTALL) -m 755 timsieved $(DESTDIR)$(service_path)
+ OBJS= actions.lo lex.lo mystring.lo scripttest.lo timsieved.lo parser.lo \
+       ../imap/proxy.lo
+ timsieved: $(OBJS) $(SERVICE)
+-      $(CC) $(LDFLAGS) -o $@ \
++       $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ \
+        $(SERVICE) $(OBJS) $(DEPLIBS) $(IMAP_LIBS) $(LIBS) $(LIB_WRAP)
+ timsieved.pure: $(OBJS) $(SERVICE)
+       $(PURIFY) $(PUREOPT) \
+-      $(CC) $(LDFLAGS) -o $@ \
++      $(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ \
+        $(SERVICE) $(OBJS) $(DEPLIBS) $(IMAP_LIBS) $(LIBS) $(LIB_WRAP)
+ clean:
+-      rm -f timsieved *~ *.lo *.la Makefile.bak makedepend.log
++      rm -rf timsieved .libs *~ *.lo *.o *.la *.a Makefile.bak makedepend.log
+ distclean: clean
+       rm -f Makefile
+@@ -105,8 +106,8 @@
+ depend:
+       ${MAKEDEPEND} $(CPPFLAGS) $(DEFS) -I$(srcdir) $(CFLAGS) *.c $(srcdir)/*.c 1>makedepend.log 2>&1
  
--.c.o:
+-.c.lo:
 -      $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
 +%.lo: %.c
-+      $(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
++      $(LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) \
        $<
  
--libcyrus.a: $(LIBCYR_OBJS)
--      rm -f libcyrus.a
--      ar cr libcyrus.a $(LIBCYR_OBJS)
--      $(RANLIB) libcyrus.a
--
--libcyrus_min.a: $(LIBCYRM_OBJS)
--      rm -f libcyrus_min.a
--      ar cr libcyrus_min.a $(LIBCYRM_OBJS)
--      $(RANLIB) libcyrus_min.a
-+libcyrus.la: $(LIBCYR_OBJS) libcyrus_min.la
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) -o libcyrus.la $(LIBCYR_OBJS) libcyrus_min.la @LIBS@ @LIB_SASL@ -rpath $(libdir)
-+
-+libcyrus_min.la: $(LIBCYRM_OBJS)
-+      $(LIBTOOL) --mode=link --tag=CC $(CC) -o libcyrus_min.la $(LIBCYRM_OBJS) @IMAP_COM_ERR_LIBS@ -rpath $(libdir)
- imapopts.c: imapoptions $(srcdir)/../tools/config2header
-       $(srcdir)/../tools/config2header CC="$(CC)" $(srcdir)/imapopts.c $(srcdir)/imapopts.h < $(srcdir)/imapoptions
---- cyrus-imapd-2.3.8/depot/Makefile.in.wiget  2004-05-28 15:39:38.000000000 +0200
-+++ cyrus-imapd-2.3.8/depot/Makefile.in        2007-02-18 23:43:17.000000000 +0100
-@@ -49,7 +49,7 @@
- DEFS = @DEFS@
- CPPFLAGS = -I. -I$(srcdir) -I$(srcdir)/../lib -I$(srcdir)/../et @CPPFLAGS@ 
- LIBS = @LIBS@ 
--DEPLIBS = ../lib/libcyrus.a ../lib/libcyrus_min.a @DEPLIBS@
-+DEPLIBS = ../lib/libcyrus.la ../lib/libcyrus_min.la @DEPLIBS@
- CFLAGS = @CFLAGS@
- LDFLAGS = @LDFLAGS@
+ # DO NOT DELETE THIS LINE -- make depend depends on it.
This page took 0.129708 seconds and 4 git commands to generate.